package djmil.cordacheckers.cordaclient;

import static org.assertj.core.api.Assertions.assertThat;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import djmil.cordacheckers.cordaclient.dao.Rank;
import djmil.cordacheckers.user.HoldingIdentityResolver;

@SpringBootTest
public class RankingTests {
    @Autowired
    CordaClient cordaClient;

    @Autowired
    HoldingIdentityResolver holdingIdentityResolver;

    @Test
    void testGlobalRanking() {
        final var hiCustodian  = holdingIdentityResolver.getCustodian();
 
        final List<Rank> liderboard = cordaClient.fetchRanking(hiCustodian);

        System.out.println("Liderboard " +liderboard);


    }

}
